jp.cssj.cti2

## Class CTIDriverManager

- java.lang.Object
- - jp.cssj.cti2.CTIDriverManager

-     public class CTIDriverManager
      extends Object

  ドライバの窓口クラスです。
  Version:
    $Id: CTIDriverManager.java 1552 2018-04-26 01:43:24Z miyabe $
  Author:
    MIYABE Tatsuhiko

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CTIDriver` | `getDriver(URI uri)` 指定されたURIへ接続するためのドライバを返します。
    `static CTISession` | `getSession(URI uri)` セッションを返します。
    `static CTISession` | `getSession(URI uri, Map<String,String> props)` セッションを返します。
    `static CTISession` | `getSession(URI uri, String user, String password)` セッションを返します。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDriver

          public static CTIDriver getDriver(URI uri)

      指定されたURIへ接続するためのドライバを返します。
      Parameters:
        `uri` - 接続先URI。
      Returns:
        ドライバ。
      See Also:
        `CTIDriver.getSession(URI, Map)`

    - #### getSession

          public static CTISession getSession(URI uri)
                                       throws IOException

      セッションを返します。

      これは`CTIDriver.getDriver(uri).getSession(null)`の簡易メソッドです。

      Parameters:
        `uri` - 接続先URI。
      Returns:
        セッション。
      Throws:
        `IOException`
      See Also:
        `CTIDriver.getSession(URI, Map)`

    - #### getSession

          public static CTISession getSession(URI uri,
                                              Map<String,String> props)
                                       throws IOException

      セッションを返します。

      これは`CTIDriver.getDriver(uri).getSession(props)`の簡易メソッドです。

      Parameters:
        `uri` - 接続先URI。
      Returns:
        セッション。
      Throws:
        `IOException`
      See Also:
        `CTIDriver.getSession(URI, Map)`

    - #### getSession

          public static CTISession getSession(URI uri,
                                              String user,
                                              String password)
                                       throws IOException

      セッションを返します。

      これは`CTIDriver.getDriver(uri).getSession(props)`の簡易メソッドです。 プロパティにユーザー、パスワードを設定します。

      Parameters:
        `uri` - 接続先URI。
      Returns:
        セッション。
      Throws:
        `IOException`
      See Also:
        `CTIDriver.getSession(URI, Map)`

Copyright © 2018 座間ソフト. All rights reserved.